#pragma once
#include "Touchable.h"

class CellWarsMTManager;

class TouchButton : public Touchable
{
public:
	TouchButton(CellWarsMTManager *useThisMultiTouchManager);
	virtual ~TouchButton();

	virtual void Update(float dt);
	virtual void Render();
	virtual void ReceiveMessage(Message *m);
	
	virtual void fingerDown(Vector2 posDownInAngelCoords);
	virtual void fingerMove(Vector2 moveToInAngelCoords);
	virtual void fingerUp(Vector2 lastPosInAngelCoords);

	virtual void click() = 0;

protected:
	CellWarsMTManager *useThisMTManager;

//private:
	//bool fingerOnThisWholeTime; // Note: this does not support multiple fingers on the touchable
};
